#include<bits/stdc++.h>
using namespace std;
int arr1[100001];
int arr2[100001];
int n;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    //int S,n;
    unordered_map<int,int> con;
    cin>>n;
    for(int i=0;i<n;i++)
    {
        cin>>arr1[i];
    }
    for(int i=0;i<n;i++)
    {
        cin>>arr2[i];
        con.insert({arr2[i],i});
    }
    bool ch=true;
    for(int i=0;i<n;i++)
    {
        if(arr1[i]!=arr2[i])
        {
            ch=false;
            break;
        }
    }
    int ans=0;
    int prev=-1;
    for(int i=0;i<n;i++)
    {
        if(arr1[i]!=arr2[++prev]||i==0)
        {
            //cout<<i;
            ans++;
            prev=con[arr1[i]];
        }
    }
    cout<<ans;
    return 0;
}
